Bug 1295641 - HDA HDMI audio broken
HDA HDMI audio broken
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 00:13 EST by Paul DeStefano
Modified: 2016-07-19 14:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:38:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul DeStefano 2016-01-05 00:13:16 EST
Description of problem:
On-card HDMI my AMD/ATi card.  Card is 2x7870 (PITCAIRN)

Version-Release number of selected component (if applicable):
7.5.0-3.fc22

How reproducible:
Very.  Symptoms are consistent and persistent over reboots.

Steps to Reproduce:
1. Install F22
2. Try to play audio
3.

Actual results:
No audio is heard.

The details are very odd, actually.  In Volume Control, I see the volume level meter showing the level of volume playing, but nothing comes out of the attaches speakers.  Yes, exactly as if power speakers were off...but that's not the case.  I was listening few minutes ago to a podcast on the proprietary driver, and now, I'm running on the OSS radeon driver and no sound.

Expected results:
Audio works.

Additional info:
Normally, I cannot use OSS radeon driver since OpenCl is not supported and that is what I need.  However, since proprietary driver has many compatibility problems with Fedora during this transition period, I occasionally try OSS driver.  But, now, I'm really stuck as I cannot use either driver with F23!  For me, this is a serious issue since I don't have another working audio card on the computer.  Please help.

Also, I suspect this is the same of F23...but, of course, I cannot try that since I know Catalyst is incompatible with xorg 1.18.  Can you tell me if it is safe to upgrade just xorg-x11-drv-ati package to 7.6.0-0.4.20150729git5510cd6.fc23 on F22 with x11 1.17?  Why won't dnf let me do that?  I'm also interested in other suggestions.
Comment 1 Paul DeStefano 2016-01-15 22:40:31 EST
I was wrong, this appears to be fixed in F23.  Package xorg-x11-drv-ati-7.6.0-0.4.20150729git5510cd6.fc23.x86_64 seems to work.
Comment 2 Fedora End Of Life 2016-07-19 14:38:40 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.